<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
</head>
<style type="text/css" media="print">
.nover {display:none}
</style>
<BODY onLoad="self.focus();" onBlur="self.focus();">
<?php
 
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

include "../conexion.php";
$id=$_REQUEST["id"];
$empresa=$_REQUEST["empresa"];

date_default_timezone_set('America/Bogota');
$horasis=date("H:i:s");
$fechasis=date("Y-m-d");

$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,lema,nombrefactura,nit,resolucion,mensajefactura from parametros where id='".$empresa."'");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $nombre=$datosrs[0];
  $direccion=$datosrs[1];
  $telefono=$datosrs[2];
  $lema=$datosrs[3];
  $nombrefactura=$datosrs[4];
  $nit=$datosrs[5];
  $resolucion=$datosrs[6];
  $mensajefactura=$datosrs[7];
 }


$sql_contar=mysqli_query($conexion,"SELECT fecha,cliente,hora,usuario from venta where factura='".$id."' and empresa='".$empresa."'");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $fecha=$datosrs[0];
  $cliente=$datosrs[1];
  $hora=$datosrs[2];
  $usuario=$datosrs[3];
  
  include "../seguridad.php";
   $sql_datosuser = mysqli_query($conseg,"SELECT nombre,apellido  FROM usuario where login='".$usuario."'");
   while($datosrs= mysqli_fetch_row($sql_datosuser)){ $cajero=$datosrs[0]." ".$datosrs[1];}
 include "../conexion.php";
 }

if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"];   
	$cliente=$_REQUEST["cliente"];  
	
	if($_REQUEST["Ocliente"]==1)
	{
	    $sql_insert=mysqli_query($conexion,"update venta  set cliente='".$cliente."' where factura='".$id."'");
		if($sql_insert)
			{
			   echo "<script>";   echo "alert('Cliente Actualizado')"; echo "</script>";
			  // $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
			}	
	}	
		
}
$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
if($contar>=1)
{
	$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
	while($datosrs= mysqli_fetch_row($sql_contar))
	{ 
	  $nombrec=$datosrs[0];
	  $direccionc=$datosrs[1];
	  $telefonoc=$datosrs[2];
	  $documentoc=$datosrs[3];
	 }
}
else{$nombrec="";$direccionc="";$telefonoc="";$documentoc="";}

?>
<form name="parametros" method="post" action="" >
<center>
    <?php
    if($empresa=='1') { echo "<img src='../imagenes/logocliente.png' alt='SIVI' width='50% height='20%'>";}
    if($empresa=='2') { echo "<img src='../imagenes/logocliente.png' alt='SIVI' width='50% height='20%'>";}
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr><td align="center" ><strong>NIT: <?php echo $nit; ?></strong></td></tr>  
  <tr><td align="center" ><strong><?php echo $direccion; ?></strong></td></tr>
  <tr><td align="center" ><strong><?php echo $telefono; ?></strong></td></tr>
</table><br>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="center" ><strong><?php echo $nombrefactura.": ".$id; ?> </strong></td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="center" ><strong><?php echo "Fecha: ".$fecha." Hora: ".$hora; ?> </strong></td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="center" ><strong><?php echo "Atendido Por: ".strtoupper($cajero); ?> </strong></td></tr>
</table>
</center>
<br>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px" >
  <tr> <td ><strong><?php echo "Cliente:".strtoupper($nombrec)."<br>CC y/o Nit: $documentoc  <BR>Direccion:$direccionc"; ?></strong> </td></tr>
</table><br>
	  <?php
       if($id<>"")
       {
            echo "<table width='95%' border='0' cellpadding='2' cellspacing='2' style='font-size:11px'>";
            echo "<tr>
                                  <td colspan='2' align='center'><strong>PRODUCTO</strong></td>
                                  <td align='center'><strong>CANT</strong></td>
                                  <td align='center'><strong>PRECIO</strong></td>											  
                                  <td align='center'><strong>TOTAL</strong></td>											 										
                            </tr>";
							$sumadesc=0;$entrodesc=0;
			 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,estado,iva,descuentop,pagocon,cambio,tipopago from venta
                                     where factura='".$id."' and empresa='".$empresa."'");
                $c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
               while ($datos= mysqli_fetch_row($sql_datos))//04e
                  { 
                    $idi=$datos[0];
                    $producto=$datos[1];
                    $cantidad=$datos[2];
                    $precio=$datos[3];									
                    $fecsis=$datos[4];
                    $usuario=$datos[5];
                    $estado=$datos[6];
					$iva=$datos[7];
					$descuentop=$datos[8];
					$pagocon=$datos[9];
					$cambio=$datos[10];
					$tipopago=$datos[11];
                    
                     $sql_datospro =mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
                     while($datosrs= mysqli_fetch_row($sql_datospro))
                       { $nproducto=$datosrs[0]; $descripcion=$datosrs[1]; $paqueteunidad=$datosrs[2];
                       }
                      
                     $precio=$precio+$iva;
					 $totalitem=$cantidad*$precio;
					 $totaliva=$iva*$cantidad;
                                        
                     if($estado=='F')
                        {
                         $sumadesc=$sumadesc+$descuentop;
                          echo "<tr>
                                  <td><strong>$producto</strong></td>
								  <td><strong>$nproducto</strong></td>
                                  <td align='center'><strong>$cantidad</strong></td>
                                  <td align='right'><strong>".number_format($precio,0)."</strong></td>											  
                                  <td align='right'><strong>".number_format($totalitem,0)."</strong></td>											 										
                            </tr>";
                        if($descuentop>0)    
                           { $entrodesc=1;
                               echo "<tr>
                                  <td colspan='5' align='center'><strong>Descuento= ".number_format($descuentop,0)."</strong></td>
                                </tr>";
                           }
                            
							
                            $c=$c+1;
                            if($estado<>'I')
                              {$sumag=$sumag+$totalitem-$totaliva;
                               $sumaiva=$sumaiva+$totaliva;
                              }
                         }	
                            
                  }	//04
                 
				//verificamos descuentos
				$pordescuento=0;$descuento=0;
				 $sql_descuento=mysqli_query($conexion,"select pordescuento,descuento,neto from venta_descuento where factura='".$id."'");
				 while($datosrs= mysqli_fetch_row($sql_descuento))
				   { $pordescuento=$datosrs[0]; $descuento=$datosrs[1];  $netopago=$datosrs[2]; 
				   } 
				 if($pordescuento>0)
				 
				  $netop=$sumag-$sumadesc;
				  $pagar=$sumag-$sumadesc;
				    echo "<tr>
                            <td colspan='4' align='right'><strong>SUBTOTAL</strong></font></td>		
						    <td align='right'><strong>".number_format($sumag,0)."</strong></td>								 
                                </tr>";
                     if($entrodesc==1)
                        {
                        echo "<tr>
                            <td colspan='4' align='right'><strong>DESCUENTO</strong></font></td>		
						    <td align='right'><strong>".number_format($sumadesc,0)."</strong></td>								 
                                </tr>";
                        }       
                     
                      echo "<tr>
                                  <td colspan='4' align='right'><strong>TOTAL A PAGAR</strong></td>											
                                  <td align='right'><strong>".number_format($pagar,0)."</strong></td>											
                                </tr>";		
                       echo "<tr>
                                  <td colspan='4' align='right'><strong>PAGO CON</strong></td>											
                                  <td align='right'><strong>".number_format($pagocon,0)."</strong></td>											
                                </tr>";	
                       echo "<tr>
                                  <td colspan='4' align='right'><strong>CAMBIO</strong></td>											
                                  <td align='right'><strong>";
                                  
                                  if($tipopago=='CR'){echo 0;}
                                  else
                                  {
                                   echo number_format($cambio,0);
                                   } 
                                
                                 echo "</strong></td>											
                                </tr>";	            
                echo "</table>";					
		  
		   
		   
		    include "letras.php";
		  
		   $numero=$pagar;
           $totalletra=convertir($numero);
           
           $sumaitems=0;
            $sql_totpro=mysqli_query($conexion,"select producto,sum(cantidad) from venta where factura='".$id."' and estado='F' and empresa='".$empresa."' group by producto");
            while($datosrs= mysqli_fetch_row($sql_totpro))
            {   
            $sumaitems=$sumaitems+1;
            } 
            
            $sumapro=0;
            $sql_totpro=mysqli_query($conexion,"select producto,sum(cantidad) from venta where factura='".$id."' and estado='F' and empresa='".$empresa."' group by producto");
            while($datosrs= mysqli_fetch_row($sql_totpro))
            { 
            $totpro=$datosrs[1];  
            $sumapro=$sumapro+$totpro;
            } 
           
          
		   echo "<div  style='font-size:11px' >SON: ".$totalletra."</div>";
		    echo "<div  style='font-size:11px' >TOTAL ITEMS: ".$sumaitems."</div>";		   
		   echo "<div  style='font-size:11px' >TOTAL PRODUCTOS: ".$sumapro."</div>";
		   
		   //verificamos si es venta a credito
		    $sql_descuento=mysqli_query($conexion,"select count(*) from credito where factura='".$id."'");
			 while($datosrs= mysqli_fetch_row($sql_descuento))
				   { $contar=$datosrs[0]; 
				   } 
			if($contar>=1)
			  {
				 $sql_descuento=mysqli_query($conexion,"select valor from credito where factura='".$id."'");
			 	while($datosrs= mysqli_fetch_row($sql_descuento))
				   { $vrcredito=$datosrs[0]; 
				   } 

				?>
                 <BR><BR><table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px"  >
                  <tr> <td align="center"><strong>VENTA CREDITO: <?php echo number_format($vrcredito); ?></strong></td></tr>
                </table><br>
                <?php  
			 }	   
		   
		  
		   
           }
           ?>
       <br><br>
 <table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px"  >
  <tr> <td align="center" ><strong>_________________________________</strong></td></tr>
  <tr> <td align="center"><strong>FIRMA CLIENTE</strong></td></tr>
  <tr> <td align="center"></td></tr>
  <tr> <td align="center"><strong><br><?php echo $resolucion;  ?></strong></td></tr>
</table><br>



 <table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px"  >
  <tr> <td align="center" ><strong>GRACIAS POR SU COMPRA</strong></td></tr>
  <tr> <td align="center"><strong>TIQUETE ORIGINAL</strong></td></tr>
</table><br>

 <table width="95%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px" >
  <tr> <td align="center" ><strong><?php echo $mensajefactura; ?></strong></td></tr>
</table>
<table width="95%" border="0" cellspacing="0" cellpadding="0" style="font-size:9px" >
  <tr> <td align="center" ><strong>Impreso por (SIWEB) / 3178554408 / jose.torrejano@sinweb.com.co</strong></td></tr>
</table>
       <center>
        <input name='imprime' type='button'  id='imprime' value='Imprime'   class="nover"  title="Clic para ver reporte"  onClick="window.print();" >
        <input name='cerrar' type='button'  id='cerrar' value='Cerrar'   class="nover"  title="Clic para ver reporte"  onClick="window.close();" >
         <input name="oculto" type="hidden" id="oculto">         
        </center>
</form>
</body>
</html>
